Package bitel.billing.server.call.bean

# Class Session

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
bitel.billing.server.call.bean.Session

All Implemented Interfaces:
  `AccountingSession`

public class Session extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements AccountingSession

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Contract`
  `contract`
  `protected String`
  `fromNumber`
  `protected Login`
  `login`
  `protected String`
  `loginName`
  `protected int`
  `logRecordId`
  `protected String`
  `logSessionTableName`
  `protected int`
  `mid`
  `protected int`
  `requestLogRecordId`
  `protected Calendar`
  `startTime`
  `protected String`
  `toNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Session()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLogDebug(String message)`
  `void`
  `addLogError(String message)`
  `void`
  `addLogInfo(String message)`
  `void`
  `checkAndCreateTables(Connection con, DefaultServerSetup setup)`
  Передаем сюда setup, т.к это метод вызывается как из радиуса так и из сервера (переобсчет сессий )
  `Contract`
  `getContract()`
  `String`
  `getFromNumber()`
  `Login`
  `getLogin()`
  `String`
  `getLoginName()`
  `String`
  `getLogMessage(String message)`
  `int`
  `getLogRecordId()`
  `int`
  `getMid()`
  `int`
  `getNasId()`
  `int`
  `getNasID()`
  Deprecated.
  `int`
  `getRequestLogRecordId()`
  `Set<Integer>`
  `getServices()`
  `Calendar`
  `getStartTime()`
  `String`
  `getToNumber()`
  `String`
  `getUserName()`
  `void`
  `setContract(Contract contract)`
  `void`
  `setFromNumber(String fromNumber)`
  `void`
  `setLogin(Login login)`
  `void`
  `setLoginName(String loginName)`
  `void`
  `setLogRecordId(int logRecordId)`
  `void`
  `setMid(int mid)`
  `void`
  `setNasId(int nasId)`
  `void`
  `setNasID(int nasId)`
  Deprecated.
  `void`
  `setRequestLogRecordId(int requestLogRecordId)`
  `void`
  `setStartTime(Calendar startTime)`
  `void`
  `setToNumber(String toNumber)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### loginName

    protected String loginName

  - ### logRecordId

    protected int logRecordId

  - ### requestLogRecordId

    protected int requestLogRecordId

  - ### startTime

    protected Calendar startTime

  - ### mid

    protected int mid

  - ### fromNumber

    protected String fromNumber

  - ### toNumber

    protected String toNumber

  - ### login

    protected Login login

  - ### contract

    protected Contract contract

  - ### logSessionTableName

    protected String logSessionTableName

- ## Constructor Details

  - ### Session

    public Session()

- ## Method Details

  - ### getStartTime

    public Calendar getStartTime()

  - ### setStartTime

    public void setStartTime(Calendar startTime)

  - ### getMid

    public int getMid()

  - ### setMid

    public void setMid(int mid)

  - ### getFromNumber

    public String getFromNumber()

  - ### setFromNumber

    public void setFromNumber(String fromNumber)

  - ### getToNumber

    public String getToNumber()

  - ### setToNumber

    public void setToNumber(String toNumber)

  - ### getLogin

    public Login getLogin()

  - ### setLogin

    public void setLogin(Login login)

  - ### getContract

    public Contract getContract()

  - ### setContract

    public void setContract(Contract contract)

  - ### getLogRecordId

    public int getLogRecordId()

  - ### setLogRecordId

    public void setLogRecordId(int logRecordId)

  - ### getNasId

    public int getNasId()

  - ### getNasID

    @Deprecated public int getNasID()
    Deprecated.
    Использовать `getNasId()`.
    Returns:

  - ### setNasId

    public void setNasId(int nasId)

  - ### setNasID

    @Deprecated public void setNasID(int nasId)
    Deprecated.
    Использовать `setNasId(int)`.
    Parameters:
      `nasId` -

  - ### checkAndCreateTables

    public void checkAndCreateTables(Connection con, DefaultServerSetup setup)
    Передаем сюда setup, т.к это метод вызывается как из радиуса так и из сервера (переобсчет сессий )
    Parameters:
      `con` -

  - ### getRequestLogRecordId

    public int getRequestLogRecordId()

  - ### setRequestLogRecordId

    public void setRequestLogRecordId(int requestLogRecordId)

  - ### getLoginName

    public String getLoginName()

  - ### getUserName

    public String getUserName()
    Specified by:
      `getUserName` in interface `AccountingSession`

  - ### setLoginName

    public void setLoginName(String loginName)

  - ### addLogDebug

    public void addLogDebug(String message)

  - ### addLogInfo

    public void addLogInfo(String message)

  - ### addLogError

    public void addLogError(String message)

  - ### getLogMessage

    public String getLogMessage(String message)

  - ### getServices

    public Set<Integer> getServices()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`